<? include("config.php"); session_start(); ?>
<html>

<head>
<title>新闻发布系统</title>
<link rel="stylesheet" href="<? echo $csspath; ?>" type="text/css">
</head>

<body>
<div align="center">
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" id="AutoNumber1" bgcolor="<?echo $bgcolor;?>">
  <tr>
    <td>
    <?
    //以数组的形式将全部内容存在变量$dataf中，便于输出
    $dataf=file($datapath);
    $sum=count($dataf);
    $day=date("z");

    for($i=0; $i<$sum; $i++)
       {
       $detail=explode("|", trim($dataf[$i]));
       //将每行以'|'作为分割符切开
       $news_user[]=$detail[0];
       $news_date[]=$detail[1];
       $news_content[]=$detail[2];
       $news_color[]=$detail[3];
       $news_link[]=$detail[4];
       $news_day[]=$detail[5];
       }

    //把超过$max天的新闻删除
    $temp=fopen($datapath,'w');
    for($i=0;$i<$sum;$i++)
       {
       //如果是要删除的，不写入文件；其他照写
       $tmp=$day-$news_day[$i];
       if(($tmp<=$max)||($news_day>=358&&$tmp<=$max-365)) fwrite($temp,$dataf[$i]);
              }
    fclose($temp);
    print("<marquee scrollamount=\"1\" scrolldelay=\"30\" direction=\"up\" width=\"$width\" height=\"$height\" onmouseover=\"this.stop ()\" onmouseout=\"this.start ()\">\n");
    for($i=$sum-1;$i>=0;$i--)
       {
       //输出新闻内容
       if($news_link[$i]=="http://")
          $news="<font color=$news_color[$i]>".$news_content[$i]."</font>"."(".$news_date[$i].")"."--".$news_user[$i];
       else  $news="<font color=\"$news_color[$i]\">"."<a href=\"$news_link[$i]\" target=\"_blank\">".$news_content[$i]."</a>"."</font>"."(".$news_date[$i].")"."--".$news_user[$i];
       print("&nbsp"."<img src=arrow.gif>"."&nbsp".$news."<br>\n");
       }
    print("</marquee>\n");
    ?>
    </td>
  </tr>
  <tr>
    <td height="20" bgcolor="<?echo $bgcolor_button;?>"><p align="right"><? if(isset($username)) echo "<a href=\"logout.php\">注销</a>";?>　<a href="sign.php">用户注册</a>　<a href="del.php" target="_blank">新闻管理</a>　<a href="add.php">发布新闻</a></td>
  </tr>
</table>
</div>
</body>

</html>